#include <creaMessageManager.h>
#include <creaSystem.h>

int main(int argc, char* argv[])
{	
  std::cout << "** creaSample_MessageManager : begin of main "<<std::endl;

  crea::MessageManager::RegisterMessageType("TEST","test messages registered by creaSample_MessageManager main",2);
  crea::MessageManager::SetMessageLevel("TEST",4);

  crea::MessageManager::PrintInfo();

  creaMessage("TEST",1,"hi ! this is a message of category 'TEST', level 1"<<std::endl);
  creaMessage("TEST",5,"hi ! this is a message of category 'TEST', level 5"<<std::endl);
  crea::MessageManager::SetMessageLevel("TEST",5);
  creaMessage("TEST",5,"hi ! this is a message of category 'TEST', level 5"<<std::endl);

  creaDebugMessage("TEST",5,"hi ! this is a debug message of category 'TEST', level 5, you can only see it if you set crea_COMPILE_DEBUG_MESSAGES to ON with cmake"<<std::endl);

  std::cout << "** creaSample_MessageManager : end of main "<<std::endl;
}

